Debian Bug report logs - #61728
most: gzipped files in subdirectories

version graph

Package: most; Maintainer for most is Benjamin Mako Hill <mako@debian.org>; Source for most is src:most.

Reported by: Alberto Garcia Gonzalez <bertogg@yahoo.com>

Date: Mon, 3 Apr 2000 23:33:01 UTC

Severity: normal

Found in version 4.9.0-2

Fixed in version most/4.9.0-3

Done: Adam Heath <doogie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Heath <doogie@debian.org>:
Bug#61728; Package most. Full text and rfc822 format available.

Acknowledgement sent to Alberto Garcia Gonzalez <bertogg@yahoo.com>:
New Bug report received and forwarded. Copy sent to Adam Heath <doogie@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alberto Garcia Gonzalez <bertogg@yahoo.com>
To: submit@bugs.debian.org
Subject: most: gzipped files in subdirectories
Date: Mon, 03 Apr 2000 22:57:37 +0200
Package: most
Version: 4.9.0-2
Severity: normal



-- System Information
Debian Release: potato
Kernel Version: Linux hades 2.2.14 #1 mar feb 22 02:45:27 CET 2000 i586 unknown

Versions of the packages most depends on:
ii  libc6           2.1.2-10       GNU C Library: Shared libraries and timezone
ii  slang1          1.3.9-1        The S-Lang programming library - runtime ver

Most has problems gunzipping files when they're in a subdirectory with
spaces in his name.

For example:

$ most temp/file.gz

works fine, but

$ most temp\ dir/file.gz

fails, outputting this message to stderr:

temp.gz: No such file or directory
dir/file.gz: No such file or directory

I think that the problem is in popen(), which is the function used to
exec gzip (file.c, lines 98-99).

	email:bertogg@yahoo.com               -= Alberto García =-
	http://www.cryogen.com/berto
	Clave pública PGP disponible         Fidonet: 2:348/105.108


Reply sent to Adam Heath <doogie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alberto Garcia Gonzalez <bertogg@yahoo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 61728-close@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: 61728-close@bugs.debian.org
Subject: Bug#61728: fixed in most 4.9.0-3
Date: Wed, 18 Oct 2000 14:54:36 -0400
We believe that the bug you reported is fixed in the latest version of
most, which has been installed in the Debian FTP archive:
most_4.9.0-3.diff.gz
  to dists/woody/main/source/text/most_4.9.0-3.diff.gz
  replacing most_4.9.0-2.diff.gz
most_4.9.0-3.dsc
  to dists/woody/main/source/text/most_4.9.0-3.dsc
  replacing most_4.9.0-2.dsc
most_4.9.0-3_i386.deb
  to dists/woody/main/binary-i386/text/most_4.9.0-3.deb
  replacing most_4.9.0-2.deb

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 61728@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Heath <doogie@debian.org> (supplier of updated most package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Wed, 18 Oct 2000 10:36:56 -0500
Source: most
Binary: most
Architecture: source i386
Version: 4.9.0-3
Distribution: unstable
Urgency: low
Maintainer: Adam Heath <doogie@debian.org>
Description: 
 most       - a more/less paging type program
Closes: 53418 61728
Changes: 
 most (4.9.0-3) unstable; urgency=low
 .
   * Added Build-Depends.
   * Added '' around the filename for popen.  Closes: #61728.
   * Made most add itself to the pager alternative, between more and less.
     Closes: #53418.
Files: 
 aebe9bb450efc3773dbfcdec11342658 589 misc optional most_4.9.0-3.dsc
 3aa92b2acff9c65e6aaba198781a0820 5056 misc optional most_4.9.0-3.diff.gz
 0ef607af4ca246c1ff9f6c70703a93e3 36726 misc optional most_4.9.0-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.3 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE57caoiix9wovUpIkRAg2dAJ4lsTCwYnEs8JWQoCA1q4EJkDLnqgCeKe6Z
qpfK53bkbxnrTHD1LHnB0e4=
=xeaY
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:33:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.